Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.core.triggers
Class OperationActionAdapter

    java.lang.Object
      oracle.ifs.core.triggers.OperationActionAdapter

All Implemented Interfaces:
  OperationAction

Direct Known Subclasses:
  InterMediaAnnotationTrigger

    public class OperationActionAdapter

extends java.lang.Object
implements OperationAction

Default implementation of the OperationAction interface.

Constructor Summary
`OperationActionAdapter()`

Method Summary
`void` | `eventPosted(OperationActionSpecification oas, AuditEvent event, LibraryObject target)` Receive notification that an event is being posted.
`void` | `initialize(OperationActionSpecification oas)` Initialize this instance.
`protected java.lang.Object` | `lookupEventType(java.lang.String typeKey)` Gets the info for a specified event type key, if that type was previously registered.
`protected void` | `registerEventType(java.lang.String typeKey, java.lang.Object info)` Register an event type.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OperationActionAdapter

    public OperationActionAdapter()

Method Detail

### initialize

    public void initialize(OperationActionSpecification oas)
                    throws IfsException

  Description copied from class: `OperationActionAdapter`
  Initialize this instance.

  Called immediately after construction (via the default constructor) and used so that the implementation can initialize session-independent state. This instance may be subsequently used concurrently by multiple threads.

  Specified by:
    `initialize` in interface `OperationAction`
  Parameters:
    `oas` - the referencing OperationActionSpecification
  Throws:
    `IfsException` - if the operation fails

### eventPosted

    public void eventPosted(OperationActionSpecification oas,
                            AuditEvent event,
                            LibraryObject target)
                     throws IfsException

  Description copied from class: `OperationActionAdapter`
  Receive notification that an event is being posted.

  Called with the OperationActionSpecification context of this action, along with the event being posted and the target object.

  Specified by:
    `eventPosted` in interface `OperationAction`
  Parameters:
    `oas` - the referencing OperationActionSpecification
    `event` - the event being posted
    `target` - the target object
  Throws:
    `IfsException` - if the operation fails

### registerEventType

    protected void registerEventType(java.lang.String typeKey,
                                     java.lang.Object info)

  Description copied from class: `OperationActionAdapter`
  Register an event type.

  Parameters:
    `typeKey` - the AuditEvent Operation type key
    `info` - information associated with the type
  Throws:
    `IfsException` - if operation fails

### lookupEventType

    protected java.lang.Object lookupEventType(java.lang.String typeKey)

  Description copied from class: `OperationActionAdapter`
  Gets the info for a specified event type key, if that type was previously registered.

  Parameters:
    `typeKey` - the AuditEvent Operation type key
  Returns:
    information associated with the type

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD